Package com.independentsoft.office.odf.fields

# Class SimpleVariableSetField

java.lang.Object
com.independentsoft.office.odf.fields.Field
com.independentsoft.office.odf.fields.SimpleVariableSetField

All Implemented Interfaces:
  `IContentElement`, `IParagraphContent`

public class SimpleVariableSetField extends Field
Represents a simple variable.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.odf.fields.Field

  `parent`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleVariableSetField()`
  Initializes a new instance of the SimpleVariableSetField class.
  `SimpleVariableSetField​(InternalXMLStreamReader reader)`
  Instantiates a new simple variable set field.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SimpleVariableSetField`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `List<IContentElement>`
  `getContentElements()`
  Returns all content elements.
  `DisplayType`
  `getDisplayType()`
  Gets the display of a variable set field.
  `String`
  `getFormula()`
  Gets a formula or expression used to compute the value of a field.
  `String`
  `getName()`
  Gets the variable name.
  `IContentElement`
  `getParent()`
  Returns the parent content element.
  `String`
  `getStyle()`
  Gets the name of data style.
  `VariableValueType`
  `getType()`
  Gets the display of a variable set field.
  `String`
  `getValue()`
  Gets the variable set.
  `void`
  `setDisplayType​(DisplayType displayType)`
  Sets the display of a variable set field.
  `void`
  `setFormula​(String formula)`
  Sets a formula or expression used to compute the value of a field.
  `void`
  `setName​(String name)`
  Sets the variable name.
  `void`
  `setParent​(IContentElement parent)`
  Sets the parent content element.
  `void`
  `setStyle​(String style)`
  Sets the name of data style.
  `void`
  `setType​(VariableValueType type)`
  Sets the display of a variable set field.
  `void`
  `setValue​(String value)`
  Sets the variable set.
  `String`
  `toString()`
  Converts the value of the current SimpleVariableSetField object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SimpleVariableSetField

    public SimpleVariableSetField()
    Initializes a new instance of the SimpleVariableSetField class.

  - ### SimpleVariableSetField

    public SimpleVariableSetField​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new simple variable set field.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Returns all content elements.
    Specified by:
      `getContentElements` in interface `IContentElement`
    Specified by:
      `getContentElements` in class `Field`
    Returns:
      A collection of content elements.

  - ### getParent

    public IContentElement getParent()
    Returns the parent content element.
    Specified by:
      `getParent` in interface `IContentElement`
    Overrides:
      `getParent` in class `Field`
    Returns:
      the parent

  - ### setParent

    public void setParent​(IContentElement parent)
    Sets the parent content element.
    Specified by:
      `setParent` in interface `IContentElement`
    Overrides:
      `setParent` in class `Field`
    Parameters:
      `parent` - the new parent

  - ### clone

    public SimpleVariableSetField clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IParagraphContent`
    Specified by:
      `clone` in class `Field`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current SimpleVariableSetField object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getName

    public String getName()
    Gets the variable name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the variable name.
    Parameters:
      `name` - the new name

  - ### getType

    public VariableValueType getType()
    Gets the display of a variable set field.
    Returns:
      the type

  - ### setType

    public void setType​(VariableValueType type)
    Sets the display of a variable set field.
    Parameters:
      `type` - the new type

  - ### getDisplayType

    public DisplayType getDisplayType()
    Gets the display of a variable set field.
    Returns:
      the display type

  - ### setDisplayType

    public void setDisplayType​(DisplayType displayType)
    Sets the display of a variable set field.
    Parameters:
      `displayType` - the new display type

  - ### getFormula

    public String getFormula()
    Gets a formula or expression used to compute the value of a field.
    Returns:
      the formula

  - ### setFormula

    public void setFormula​(String formula)
    Sets a formula or expression used to compute the value of a field.
    Parameters:
      `formula` - the new formula

  - ### getStyle

    public String getStyle()
    Gets the name of data style.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(String style)
    Sets the name of data style.
    Parameters:
      `style` - the new style

  - ### getValue

    public String getValue()
    Gets the variable set.
    Returns:
      the value

  - ### setValue

    public void setValue​(String value)
    Sets the variable set.
    Parameters:
      `value` - the new value